This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 462204 - Hibernate broken on recent F9 kernels; bad /sys/power/image_size content
Hibernate broken on recent F9 kernels; bad /sys/power/image_size content
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
high Severity high
: ---
: ---
Assigned To: John Feeney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-13 23:58 EDT by Stephen Warren
Modified: 2013-01-10 02:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 09:59:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum.log from the last few days; hibernate worked before this. (8.95 KB, text/plain)
2008-09-14 13:40 EDT, Stephen Warren
no flags Details

  None (edit)
Description Stephen Warren 2008-09-13 23:58:22 EDT
Description of problem:
When hibernate is requested, it is attempted, but fails, and the user is soon returned to the X screen lock.

Version-Release number of selected component (if applicable):
kernel-2.6.25.11-97.fc9.i686

How reproducible:
Always

Steps to Reproduce:
1. When logged in to a Gnome desktop, perform: System (menu on gnome panel) -> Shutdown -> Hibernate
2. Watch the machine appear to hibernate
3. Watch the X screen lock appear
  
Actual results:
Machine simply returns immediately to X screen lock

Expected results:
Machine should hibernate and power off.

Additional info:

See Ubuntu forums post:
http://ge.ubuntuforums.com/showthread.php?t=199952

The comment on Jun 21st 2006 by dave84 (cat NNN > /sys/power/image_size) fixes the issue.

Specifically: echo 1073741824 > /sys/power/image_size

The laptop in question has 512M RAM, 1024M swap on LVM on crypto, and worked for about a year under F8 and then F9 with kernels prior to the recent set of F9 updates after the security outage.

top shows that swap is ~80% unused (161M/1024M used), and I think it was much earlier the first time I reproduced this.
Comment 1 Chuck Ebbert 2008-09-14 02:32:54 EDT
I can't find anything in 2.6.27 that changes this.
Comment 2 Stephen Warren 2008-09-14 13:40:54 EDT
Created attachment 316693 [details]
yum.log from the last few days; hibernate worked before this.
Comment 3 Stephen Warren 2008-09-14 13:41:22 EDT
This probably isn't a kernel bug; I booted back into 2.6.25.11-97.fc9.i686 and the issue was present there too.

I guess some other update I installed in the few days or so must have caused this. I honestly don't know which one it'd be; any help tracking this down appreciated.

FYI, I did this:

cd /etc
find . -xdev -type f |xargs grep -HnI image_size
cd /usr
find . -xdev -type f |xargs grep -HnI image_size

and nothing relevant showed up.

Finally, I have attached my yum.log for the last few days, for clues as to packages that may have caused this.
Comment 4 Matthew Garrett 2008-09-15 14:14:01 EDT
What is the image_size value set to?  Can you attach the dmesg output from a failed attempt at hibernation?
Comment 5 Stephen Warren 2008-09-15 16:04:22 EDT
image_size is either 512*1000*1000 or 512*1024*1024. 512M is the RAM size.

I can get the exact figure, and dmesg output, tonight.
Comment 6 Stephen Warren 2008-09-15 22:44:36 EDT
Here's dmesg from a failing hibernate:

Sep 15 20:35:36 taw kernel: PM: Syncing filesystems ... done.
Sep 15 20:35:36 taw kernel: Freezing user space processes ... (elapsed 0.00 seconds) done.
Sep 15 20:35:36 taw kernel: Freezing remaining freezable tasks ... (elapsed 0.00 seconds) done.
Sep 15 20:35:36 taw kernel: PM: Shrinking memory... done (58708 pages freed)
Sep 15 20:35:36 taw kernel: PM: Freed 234832 kbytes in 2.26 seconds (103.90 MB/s)
Sep 15 20:35:36 taw kernel: Suspending console(s)
Sep 15 20:35:36 taw kernel: drm_sysfs_suspend
Sep 15 20:35:36 taw kernel: sd 0:0:0:0: [sda] Synchronizing SCSI cache
Sep 15 20:35:37 taw kernel: ACPI: PCI interrupt for device 0000:08:08.0 disabled
Sep 15 20:35:37 taw kernel: ACPI: PCI interrupt for device 0000:06:00.0 disabled
Sep 15 20:35:37 taw kernel: ACPI: PCI interrupt for device 0000:00:1f.2 disabled
Sep 15 20:35:37 taw kernel: ACPI: PCI interrupt for device 0000:00:1f.1 disabled
Sep 15 20:35:37 taw kernel: ACPI: PCI interrupt for device 0000:00:1d.7 disabled
Sep 15 20:35:37 taw kernel: ACPI: PCI interrupt for device 0000:00:1d.3 disabled
Sep 15 20:35:37 taw kernel: ACPI: PCI interrupt for device 0000:00:1d.2 disabled
Sep 15 20:35:37 taw kernel: ACPI: PCI interrupt for device 0000:00:1d.1 disabled
Sep 15 20:35:37 taw kernel: ACPI: PCI interrupt for device 0000:00:1d.0 disabled
Sep 15 20:35:37 taw kernel: ACPI: PCI interrupt for device 0000:00:1b.0 disabled
Sep 15 20:35:37 taw kernel: Disabling non-boot CPUs ...
Sep 15 20:35:37 taw kernel: PM: Creating hibernation image: 
Sep 15 20:35:37 taw kernel: PM: Need to copy 66475 pages
Sep 15 20:35:37 taw kernel: PM: Not enough free memory
Sep 15 20:35:37 taw kernel: PM: Error -12 creating hibernation image
Sep 15 20:35:37 taw kernel: Intel machine check architecture supported.
Sep 15 20:35:37 taw kernel: Intel machine check reporting enabled on CPU#0.
Sep 15 20:35:37 taw kernel: ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 16 (level, low) -> IRQ 16
Sep 15 20:35:37 taw kernel: ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 22 (level, low) -> IRQ 22
Sep 15 20:35:37 taw kernel: ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 23 (level, low) -> IRQ 23
...
Comment 7 Stephen Warren 2008-09-15 23:01:09 EDT
FYI, the previous kernel log was from kernel-2.6.25.11-97.fc9.i686. I reproduced the same issue with the same log messages with each of the following kernel versions:

kernel-2.6.25.11-97.fc9.i686
kernel-2.6.25.14-108.fc9.i686
kernel-2.6.26.3-29.fc9.i686

Note that I originally thought 2.6.26.3 had fixed it; sometimes the system hibernates OK (fairly rare), but mostly not.
Comment 8 Bug Zapper 2009-06-09 22:42:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 09:59:04 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.